alpm-db-desc-create-v1(1)

NAME
alpm-db-desc-create-v1 - Create a DB desc version 1 file

SYNOPSIS
alpm-db-desc create v1 <--name> <--version> <--base> [--description] [--url] <--arch> <--builddate> <--installdate> <--packager> <--size> [--groups] [--reason] [--license] <--validation> [--replaces] [--depends] [--optdepends] [--conflicts] [--provides] [-h|--help] [OUTPUT]

DESCRIPTION
Create a DB desc version 1 file

OPTIONS

--name <NAME>
    The package name
    May also be specified with the ALPM_DB_DESC_NAME environment variable.

--version <VERSION>
    The package version
    May also be specified with the ALPM_DB_DESC_VERSION environment variable.

--base <BASE>
    The package base
    May also be specified with the ALPM_DB_DESC_BASE environment variable.

--description <DESCRIPTION>
    The package description. If not provided, an empty string is used.
    May also be specified with the ALPM_DB_DESC_DESC environment variable.

--url <URL>
    The package URL
    May also be specified with the ALPM_DB_DESC_URL environment variable.

--arch <ARCH>
    The package architecture
    May also be specified with the ALPM_DB_DESC_ARCH environment variable.

--builddate <BUILDDATE>
    The package build date
    May also be specified with the ALPM_DB_DESC_BUILDDATE environment variable.

--installdate <INSTALLDATE>
    The package install date
    May also be specified with the ALPM_DB_DESC_INSTALLDATE environment variable.

--packager <PACKAGER>
    The packager
    May also be specified with the ALPM_DB_DESC_PACKAGER environment variable.

--size <SIZE>
    The installed size
    May also be specified with the ALPM_DB_DESC_SIZE environment variable.

--groups <GROUPS>
    The package groups
    May also be specified with the ALPM_DB_DESC_GROUPS environment variable.

--reason <REASON>
    The package install reason. If unset, assumes an install reason of "0" (explicitly installed).
    May also be specified with the ALPM_DB_DESC_REASON environment variable.

--license <LICENSE>
    The package licenses
    May also be specified with the ALPM_DB_DESC_LICENSE environment variable.

--validation <VALIDATION>...
    The package validation methods
    May also be specified with the ALPM_DB_DESC_VALIDATION environment variable.

--replaces <REPLACES>
    The replaces
    May also be specified with the ALPM_DB_DESC_REPLACES environment variable.

--depends <DEPENDS>
    The dependencies
    May also be specified with the ALPM_DB_DESC_DEPENDS environment variable.

--optdepends <OPTDEPENDS>
    The optional dependencies. Note: uses comma as value delimiter. Optional dependency descriptions can't contain commas.
    May also be specified with the ALPM_DB_DESC_OPTDEPENDS environment variable.

--conflicts <CONFLICTS>
    The conflicts
    May also be specified with the ALPM_DB_DESC_CONFLICTS environment variable.

--provides <PROVIDES>
    The provides
    May also be specified with the ALPM_DB_DESC_PROVIDES environment variable.

-h, --help
    Print help (see a summary with '-h')

[OUTPUT]
    The output file
    May also be specified with the ALPM_DB_DESC_OUTPUT_FILE environment variable.